### Method

# Adw Squeezerset_switch_threshold_policy

deprecated: 1.4

#### Declaration [src]

    void
    adw_squeezer_set_switch_threshold_policy (
      AdwSqueezer* self,
      AdwFoldThresholdPolicy policy
    )

#### Description [src]

Sets the switch threshold policy for `self`.

Determines when the squeezer will switch children.

If set to `ADW_FOLD_THRESHOLD_POLICY_MINIMUM`, it will only switch when the visible child cannot fit anymore. With `ADW_FOLD_THRESHOLD_POLICY_NATURAL`, it will switch as soon as the visible child doesn’t get their natural size.

This can be useful if you have a long ellipsizing label and want to let it ellipsize instead of immediately switching.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Squeezer:switch-threshold-policy`

#### Parameters

`policy`

  Type: `AdwFoldThresholdPolicy`

  The policy to use.